#! /usr/bin/python3 -s
import argparse
import os
from datetime import date

from p2.Scheduler import Scheduler

parser = argparse.ArgumentParser()
parser.add_argument('-i',
                    '--campaign_ids',
                    action='append',
                    help='A list of campaign ids to consider',
                    required=True)
parser.add_argument('-t', '--tag', help='The component tag', required=True)
args = parser.parse_args()

scheduler = Scheduler(tag=args.tag)
for id in args.campaign_ids:
    scheduler.schedule_campaign(int(id))
